## org.eclipse.ocl.expressions.operations
Class EnumLiteralExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.OCLExpressionOperations
          org.eclipse.ocl.expressions.operations.EnumLiteralExpOperations

    public class EnumLiteralExpOperations

extends OCLExpressionOperations

A static utility class that provides operations related to 'Enum Literal Exp' model objects.

The following operations are supported:

- `Check Enum Type`

Constructor Summary
`protected` `EnumLiteralExpOperations()`

Method Summary

`static

`<C,EL> boolean`

`

`checkEnumType(EnumLiteralExp<C,EL> enumLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.type = referredEnumLiteral.enumeration

Methods inherited from class org.eclipse.ocl.expressions.operations.OCLExpressionOperations
`accept, getName, getType, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumLiteralExpOperations

    protected EnumLiteralExpOperations()

Method Detail

### checkEnumType

    public static <C,EL> boolean checkEnumType(EnumLiteralExp<C,EL> enumLiteralExp,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

  self.type = referredEnumLiteral.enumeration

  Parameters:
    `enumLiteralExp` - The receiving 'Enum Literal Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.